#!/bin/bash

package=Module-Runtime
version=-0.013

progname=$0

source ../cascade-make/lib/cascade-lib.bash GEXTPARALLELBUILDING ../.. $*
source ../cascade-make/lib/cascade-lib-modulebuild.bash GEXTPARALLELBUILDING $*

prefix=$GEXTPARALLELBUILDING_INSTALLED
perlversion=$PERL_VERSION

opt_run_untar $force_untar $auto_untar $package $version
opt_modulebuild_configure $force_config $auto_config $package $version $prefix $perlversion

# We only compile if necessary, as compilation is quite slow and we don't
# edit these source files
if [[ ! -e "$prefix/lib/perl/$perlversion/Module/Runtime.pm" ]]
then
  opt_modulebuild_make $compile   $package $version
  echo "opt_run_make $install $package $version \"install\""
  opt_modulebuild_make $install   $package $version "install"
else
  echo "Module::Runtime Perl module already compiled => no need to recompile"
fi

opt_modulebuild_make $clean     $package $version "clean"
opt_modulebuild_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version







