#!/bin/bash

list="OPENMPI TINYXML IPCRUN PROCDAEMON SORTKEY BITVECTOR THRIFT VERSION PERLOSTYPE MODULEMETADATA MODULEBUILD TESTREQUIRES TESTFATAL TESTSIMPLE MODULERUNTIME TRYTINY MODULEIMPLEMENTATION PARAMSVALIDATE DATETIME"

for d in $list ; do
  echo "    Running CASCADE-MAKE/$d.sh $*"

  ./CASCADE-MAKE/$d.sh $*

  if [ $? != 0 ] ; then
    echo "  Error encountered running CASCADE-MAKE/$d.sh"
    exit 1
  fi
done
